elftosb::LoadOperation Class Reference

Load data into memory operation. More...

`#include <Operation.h>`

Inheritance diagram for elftosb::LoadOperation:
[legend]
Collaboration diagram for elftosb::LoadOperation:
[legend]

## Public Member Functions

void | setSource (DataSource *source)
DataSource * | getSource ()
void | setTarget (DataTarget *target)
DataTarget * | getTarget ()
void | setDCDLoad (bool isDCD)
bool | isDCDLoad () const

## Protected Attributes

smart_ptr< DataSource > | m_source
smart_ptr< DataTarget > | m_target
bool | m_isDCDLoad

## Detailed Description

Load data into memory operation.

## Member Function Documentation

void LoadOperation::setSource | ( | DataSource * | source | ) |

The operation object takes ownership of source.

Cross references between the target and source are updated.

void LoadOperation::setTarget | ( | DataTarget * | target | ) |

The operation object takes ownership of target.

Cross references between the target and source are updated.

The documentation for this class was generated from the following files:

- Operation.h
- Operation.cpp